# Method: projects.messages.create

Creates a Message and queues it for sending. Returns the created message.

The caller must have `messaging.messages.create` permission on the project.

### HTTP request

`POST https://messaging.api.enfonica.com/v1/{parent}/messages`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">parent</span> | <span class="e-code">string</span><br/>The resource name of the parent project to create the message under. Must be of the form `projects/*`.

### Request body

The request body must contain an instance of <span class="e-code">[Message](/docs/cloud-sms/api-reference/rest/v1/projects.messages/overview/#resource-message)</span>.

### Response body

If successful, the response body contains an instance of <span class="e-code">[Message](/docs/cloud-sms/api-reference/rest/v1/projects.messages/overview/#resource-message)</span>.

